package com.example.projectbnspumkm.data.remote

import com.example.projectbnspumkm.data.model.Customer
import com.example.projectbnspumkm.data.model.Product
import retrofit2.http.*

interface ApiService {
    @GET("products")
    suspend fun getProducts(): List<Product>

    @GET("customers")
    suspend fun getCustomers(): List<Customer>

    @POST("customers")
    suspend fun addCustomer(@Body customer: Customer): Customer

    @PUT("customers/{id}")
    suspend fun updateCustomer(@Path("id") id: Int, @Body customer: Customer): Customer

    @POST("products")
    suspend fun addProduct(@Body product: Product): Product
}
